Skip to main content
GET
/
v2
/
payments
/
captures
/
{capture_id}
Show captured payment details
curl --request GET \
  --url https://api-m.paypal.com/v2/payments/captures/{capture_id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "74L756601X447022Y",
  "amount": {
    "currency_code": "USD",
    "value": "100.00"
  },
  "final_capture": true,
  "seller_protection": {
    "status": "ELIGIBLE",
    "dispute_categories": [
      "ITEM_NOT_RECEIVED",
      "UNAUTHORIZED_TRANSACTION"
    ]
  },
  "seller_receivable_breakdown": {
    "gross_amount": {
      "currency_code": "USD",
      "value": "100.00"
    },
    "paypal_fee": {
      "currency_code": "USD",
      "value": "3.98"
    },
    "net_amount": {
      "currency_code": "USD",
      "value": "96.02"
    }
  },
  "invoice_id": "OrderInvoice-23_10_2024_12_27_32_pm",
  "status": "COMPLETED",
  "supplementary_data": {
    "related_ids": {
      "order_id": "25M43554V9523650M",
      "authorization_id": "0T620041CK889853A"
    }
  },
  "payee": {
    "email_address": "merchant@example.com",
    "merchant_id": "YXZY75W2GKDQE"
  },
  "create_time": "2024-10-23T20:55:19Z",
  "update_time": "2024-10-23T20:55:19Z",
  "links": [
    {
      "href": "https://api-m.sandbox.paypal.com/v2/payments/captures/74L756601X447022Y",
      "rel": "self",
      "method": "GET"
    },
    {
      "href": "https://api-m.sandbox.paypal.com/v2/payments/captures/74L756601X447022Y/refund",
      "rel": "refund",
      "method": "POST"
    },
    {
      "href": "https://api-m.sandbox.paypal.com/v2/payments/authorizations/0T620041CK889853A",
      "rel": "up",
      "method": "GET"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.paypal.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

OAuth 2.0 authentication

Headers

Authorization
string

Holds authorization information for external API calls. Standard headers are generally less restrictive in structure due to historical precedent across browsers, etc. This is a common schema for use in defining most standard headers.

Required string length: 1 - 16000
Pattern: ^.*$

Path Parameters

capture_id
string
required

The PayPal-generated ID for the captured payment for which to show details.

Maximum string length: 2147483647
Pattern: ^[\S\s]*$

Response

A successful request returns the HTTP 200 OK status code and a JSON response body that shows captured payment details.

A captured payment.

status
enum<string>
read-only

The status of the captured payment.

Available options:
COMPLETED,
DECLINED,
PARTIALLY_REFUNDED,
PENDING,
REFUNDED,
FAILED
status_details
capture_status_details · object

The details of the captured payment status.

id
string
read-only

The PayPal-generated ID for the captured payment.

Maximum string length: 2147483647
Pattern: ^[\S\s]*$
amount
amount_with_breakdown · object

The amount for this captured payment.

invoice_id
string
read-only

The API caller-provided external invoice number for this order. Appears in both the payer's transaction history and the emails that the payer receives.

Maximum string length: 2147483647
Pattern: ^[\S\s]*$
custom_id
string

The API caller-provided external ID. Used to reconcile API caller-initiated transactions with PayPal transactions. Appears in transaction and settlement reports.

Maximum string length: 255
Pattern: ^[\S\s]*$
network_transaction_reference
network_transaction · object

Reference values used by the card network to identify a transaction.

seller_protection
seller_protection · object

The level of protection offered as defined by PayPal Seller Protection for Merchants.

final_capture
boolean
default:false
read-only

Indicates whether you can make additional captures against the authorized payment. Set to true if you do not intend to capture additional payments against the authorization. Set to false if you intend to capture additional payments against the authorization.

seller_receivable_breakdown
Seller Receivable Breakdown · object

The detailed breakdown of the capture activity. This is not available for transactions that are in pending state.

disbursement_mode
enum<string>
default:INSTANT

The funds that are held on behalf of the merchant.

Available options:
INSTANT,
DELAYED

An array of related HATEOAS links.

Maximum array length: 32767
processor_response
processor_response · object

An object that provides additional processor information for a direct credit card transaction.

create_time
string

The date and time when the transaction occurred, in Internet date and time format.

Required string length: 20 - 64
Pattern: ^[0-9]{4}-(0[1-9]|1[0-2])-(0[1-9]|[1-2][0-9]|3[0-1])[T,t]([0-1][0-9]|2[0-3]):[0-5][0-9]:([0-5][0-9]|60)([.][0-9]+)?([Zz]|[+-][0-9]{2}:[0-9]{2})$
update_time
string

The date and time when the transaction was last updated, in Internet date and time format.

Required string length: 20 - 64
Pattern: ^[0-9]{4}-(0[1-9]|1[0-2])-(0[1-9]|[1-2][0-9]|3[0-1])[T,t]([0-1][0-9]|2[0-3]):[0-5][0-9]:([0-5][0-9]|60)([.][0-9]+)?([Zz]|[+-][0-9]{2}:[0-9]{2})$
supplementary_data
Payment Supplementary Data · object

An object that provides supplementary/additional data related to a payment transaction.

payee
payee_base · object

The details for the merchant who receives the funds and fulfills the order. The merchant is also known as the payee.